components:
  schemas:

    UpdateStudent:
      type: object
      properties:
        full_name:
          type: string
          example: João Silva Santos
        birth_date:
          type: string
          example: 2000-05-15
        gender:
          type: string
          example: Masculino
        cpf:
          type: object
          properties:
            value:
              type: string
              example: 123.456.789-00
            upload_id:
              type: string
              example: doc_upload_12345
        rg:
          type: object
          properties:
            value:
              type: string
              example: 12.345.678-9
            upload_id:
              type: string
              example: doc_upload_12346
        email:
          type: string
          example: joao.silva@example.com
        telephone:
          type: string
          example: +55 (11) 99999-9999
        academic:
          type: object
          properties:
            current_grade:
              type: string
              example: 3º Ano do Ensino Médio
            school:
              type: string
              example: Colégio Santo Antônio
            subjects:
              type: array
              items:
                type: string
              example:
                - Matemática
                - Física
                - Química
            difficulty_level:
              type: string
              example: Intermediário
            main_goal:
              type: string
              example: Preparação para vestibular
        class_preferences:
          type: object
          properties:
            modality:
              type: string
              example: online
            frequency:
              type: string
              example: 2 vezes por semana
            available_times:
              type: array
              items:
                type: object
                properties:
                  day:
                    type: string
                    example: Segunda-feira
                  period:
                    type: string
                    example: Tarde
            preferred_teacher:
              type: string
              example: Prof. Maria Santos
        guardian:
          type: object
          properties:
            full_name:
              type: string
              example: Maria Silva Santos
            telephone:
              type: string
              example: +55 (11) 98888-8888
            email:
              type: string
              example: maria.santos@example.com
            relationship:
              type: string
              example: Mãe
        financial:
          type: object
          properties:
            credit_card_registered:
              type: boolean
              example: false
